FreeMat

- Main Page
- Related Pages

vtkBlockIdScalars

Section: Visualization Toolkit Graphics Classes

# Usage

vtkBlockIdScalars is a filter that generates scalars using the block index for each block. Note that all sub-blocks within a block get the same scalar. The new scalars array is named `BlockIdScalars`.

To create an instance of class vtkBlockIdScalars, simply invoke its constructor as follows

      obj = vtkBlockIdScalars

# Methods

The class vtkBlockIdScalars has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkBlockIdScalars class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkBlockIdScalars = obj.NewInstance ()`
- `vtkBlockIdScalars = obj.SafeDownCast (vtkObject o)`